<div class="cursor-pointer group">
    <div class="relative overflow-hidden transition-all bg-gray-100 rounded-md dark:bg-gray-800   hover:scale-105 aspect-video">
        <a href={{ page.permalink }}>
            <img alt="Thumbnail"
                 class="w-full h-full transition-all object-contain"
                 src="{{ page.permalink }}{{ page.extra.image }}"
            />
        </a>
    </div>
    <div class="flex gap-3">
        <a href="/#">
            <span class="inline-block mt-5 text-xs font-medium tracking-wider uppercase  text-blue-600">
            Technology
        </span></a>
    </div>
    <h2 class="mt-2 text-lg font-semibold tracking-normal text-brand-primary dark:text-white">
        <span class=" bg-gradient-to-r from-green-200 to-green-100 dark:from-purple-800 dark:to-purple-900 bg-[length:0px_10px] bg-left-bottom bg-no-repeat transition-[background-size] duration-500 hover:bg-[length:100%_3px] group-hover:bg-[length:100%_10px]">
            {{ page.title }}
        </span>
    </h2>
    <div class="flex items-center mt-3  text-gray-500 dark:text-gray-400">
            <span class="text-sm" >{{page.date}}</span>
    </div>
</div>
